API Reference
Log In
API Reference
These docs are for v2.0. Click to read the latest docs for v2.1.

Create an Applicant

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create an applicant

To create an applicant, pass the required attributes and you are ready to go.

  • All attribute keys must be at the root level.

  • Required attributes: name, email, phone_number;

  • email must be a valid e-mail address;

  • phone_number must be a string;

  • Date parameters provided in the data and secure_data collections must be strings following ISO 8601 standard formats (e.g. start_date:"YYYY-MM-DD")

  • If the account has WhatApp enabled, set phone_platform: whats_app

🚧

Note for Funnel ID

Although funnel_id is not required, applicants created without a specified funnel_id will be placed in the first opening ever created in the account.

Use the funnel_id parameter to indicate which opening the applicant should be created within. Use the GET List All Openings method to retrieve the unique Funnel IDs in your account.

Only the following specific types of secure data are supported. They can be sent to Fountain through a standard POST request if sent as as 'secure_data[ethnicity]'.

📘

Secure Fields

You can also add secure fields by passing in a secure_data array along with the standard data array. These fields are encrypted in our system, so you should use them for personally identifiable and sensitive information like SSN, driver's license numbers, etc. Supported fields include:

  • gender
  • ethnicity
  • citizenship
  • can_work_in_us
  • religious_preference
  • income_salary
  • income_income_tax_dollar_amount
  • income_ss_tax
  • income_medicare_tax
  • income_taxpayer_identification_number
  • driver_license_number
  • driver_license_expiration_date
  • driver_license_state
  • ssn
  • national_identification_number
  • insurance_type
  • insurance_benefactor_first_name
  • insurance_benefactor_middle_name
  • insurance_benefactor_last_name
  • insurance_member_id
  • insurance_company_group_id
  • insurance_company_of_issue
  • insurance_country_of_issue
  • insurance_city_of_issue
  • insurance_issue_date
  • insurance_expiration_date
  • bank_name
  • bank_routing_number
  • bank_account_number
  • passport_number
  • passport_country_of_issue
  • passport_city_of_issue
  • passport_issue_date
  • passport_expiration_date
  • vehicle_make
  • vehicle_model
  • vehicle_year
  • vehicle_registration_plate_number
  • vehicle_vin_number

Response Schema

Query Params
string
required
Defaults to John Doe

Input a full name

string
required
Defaults to [email protected]

Email Address

string
required
Defaults to 5555555555

Phone Number (does not have to be USA)

string
Defaults to sms

Optional parameter to set an applicant's phone platform

string
Defaults to Toyota Prius

Add as many additional applicant parameters as you wish

string
Defaults to American

Add any secure parameters from the list below

string
Defaults to 49dbf2f3-057f-44b4-a638-8fac5aac2ad

Optional parameter to create an applicant under a certain opening

string
Defaults to 550e8400-e29b-41d4-a716-446655440000

Optional parameter to create an applicant under a certain stage

boolean
Defaults to false

Set true if you want to skip automated actions when advancing the applicant

Headers
string
required
Defaults to secret-api-token

Access Token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json